# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require_relative 'lib/hyde'

app = Hyde::Server.new do
  get "/hello" do
    name = request.query["name"]
    if name.is_a? String
      "Hello #{name.downcase.capitalize}!"
    elsif name.is_a? Array
      "Hello #{name.map { |x| x.downcase.capitalize }.join(', ')}!"
    else
      "Hello user!"
    end
  end
end

run app
