# frozen_string_literal: true

require_relative "../lib/hyde/pattern_matching"
require "test/unit"

class TestPattern < Test::Unit::TestCase
  include Hyde
  # match? test
  def test_matchq
    assert_equal(true, Pattern.new("/static/path").freeze.static?)
    assert_equal(["", [], {}], Pattern.new("/static/path").freeze.match("/static/path"))
    assert_equal(["", ["wonm"], {}], Pattern.new("/static/*/glob").freeze.match("/static/wonm/glob"))
    assert_equal(["", ["pong/ping"], {}], Pattern.new(/static\/(.*)\/glob/).freeze.match("/static/pong/ping/glob"))
  end
end
