# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'hyde'

app = Hyde::Server.new do
  root ENV["PWD"]
  index ["index.html"]
  post "/" do
    puts form.pretty_inspect if form?
    bounce
  end
  serve "*.html"
end

run app
